Docs

Reference

Support stats

Support metrics: replies, response times, per account / member, for a date range.

View MarkdownThis page is generated from the source code on every release.

Support metrics: replies, response times, per account / member, for a date range.

Overview

Name Value
Code stats.inbox
Scope needed stats.read
Risk Read
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager, agent, viewer
In the app Stats → Support

Input fields

Field Type Required Description
preset "today" | "7d" | "30d" | "90d" | "custom" Yes
from text No
to text No
account uuid No
member uuid No

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/stats.inbox \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"preset":"today"}'

Output fields (data)

Field Type Required
range object Yes
m object Yes

Example answer

{
  "data": {
    "range": {
      "from": "text",
      "to": "text",
      "days": [
        "text"
      ],
      "tz": "text"
    },
    "m": {
      "tz": "text",
      "conversations": 1,
      "msgs_in": 1,
      "msgs_out": 1,
      "msgs_out_unverified": 1,
      "turns": 1,
      "answered": 1,
      "unanswered": 1,
      "median_s": 1,
      "p90_s": 1,
      "by_member": [
        {
          "who": "telegram",
          "user_id": "00000000-0000-4000-8000-000000000000",
          "sent": 1,
          "replies": 1,
          "median_s": 1
        }
      ],
      "by_account": [
        {
          "account_id": "00000000-0000-4000-8000-000000000000",
          "in": 1,
          "out": 1,
          "turns": 1,
          "answered": 1,
          "median_s": 1
        }
      ],
      "heatmap": [
        {
          "dow": 1,
          "hour": 1,
          "n": 1
        }
      ],
      "daily": [
        {
          "day": "text",
          "in": 1,
          "out": 1
        }
      ]
    }
  }
}

Using it over MCP

Tool stats_inbox is listed on the profiles: Reports (reports). On other profiles, find it with tools_search and run it with tools_run.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0